## com.imcode.imcms.api
Class TextDocument.TextField

    java.lang.Object
      com.imcode.imcms.api.TextDocument.TextField

Enclosing class:
  TextDocument

    public static class TextDocument.TextField

extends java.lang.Object

Nested Class Summary
`static class` `TextDocument.TextField.Format`

Method Summary
`TextDocument.TextField.Format` `getFormat()`
`java.lang.String` `getHtmlFormattedText()` Get the text of this textfield as a html-formatted string, suitable for displaying in a html-page.
`java.lang.String` `getText()` Get the text of this textfield.
`void` `setFormat(TextDocument.TextField.Format format)`
`void` `setHtmlFormat()` Deprecated. Use `setFormat(Format)`
`void` `setPlainFormat()` Deprecated. Use `setFormat(Format)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setHtmlFormat

    public void setHtmlFormat()

  Deprecated. Use `setFormat(Format)`

### setPlainFormat

    public void setPlainFormat()

  Deprecated. Use `setFormat(Format)`

### getFormat

    public TextDocument.TextField.Format getFormat()

### setFormat

    public void setFormat(TextDocument.TextField.Format format)

### getText

    public java.lang.String getText()

  Get the text of this textfield.

  Returns:
    the text of this textfield.

### getHtmlFormattedText

    public java.lang.String getHtmlFormattedText()

  Get the text of this textfield as a html-formatted string, suitable for displaying in a html-page.

  Returns:
    the text of this textfield as a html-formatted string, suitable for displaying in a html-page.